Packaging
=========

This document contains packaging suggestions for shellfu and its accompanying
libs.  So far shellfu is maintained as one collection but since some parts are
independent, it's possible to create minimal packages.

Exposing sub-sets as  not supported 


"Leaf" packages
---------------

 *  *shellfu-base* - only shellfu.sh (posix)
 *  *shellfu-core* - core libs (posix?)
 *  *shellfu-extras* - extra libs
 *  *shellfu-manpages* - manpages (extra because of req. ronn to build)


Meta packages
-------------

 *  *shellfu* - -base, -core, -extras, -manpages (not -desktop)
 *  *shellfu-posix* - -base plus libs compliant with posix


Package contents
----------------


### shellfu-base ###

No modules, just shellfu.sh and supporting binaries.


### shellfu-core ###

 *  error
 *  pretty
 *  _pretty_color
 *  _pretty_html
 *  _pretty_plain
 *  types


### shellfu-testing ###

 *  testing


### shellfu-extras ###

 *  ini
 *  stats
 *  recon
 *  charmenu
 *  misc
