
__shellfu_get() {
    local cur prev opts
    COMPREPLY=()
    cur="${COMP_WORDS[COMP_CWORD]}"
    prev="${COMP_WORDS[COMP_CWORD-1]}"
    opts="--help --debug --version --version-semver --include"
    cmds="path lsfun lsmod catfun"

    case "$cur" in
        --*)
            COMPREPLY=(
                $(compgen -W "$opts" -- ${cur})
            )
            ;;
        *)
            COMPREPLY=(
                $(compgen -W "$cmds" ${cur})
            )
    esac
}

complete -F __shellfu_get shellfu-get
